<?php
/**
 * Template for displaying search forms
 *
 * @package dream
 */

?>

<?php $unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label for="<?php echo $unique_id; ?>">
		<span class="screen-reader-text"><?php echo _x( 'Search for:', 'label', 'dream' ); ?></span>
	</label>

  <div class="input-group">
  	<input type="search" id="<?php echo $unique_id; ?>" class="search-field form-control" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'dream' ); ?>" value="<?php echo get_search_query(); ?>" name="s" />
    <span class="input-group-btn">
      <button type="submit" class="search-submit"><i class="fa fa-search"></i></button>
    </span>
  </div>
</form>
